> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve An Item Filter

> Retrieves an Item filter.




## OpenAPI

````yaml get /v2/item-filters/{id}
openapi: 3.0.0
info:
  title: Item Filters API
  version: '2.0'
  description: >
    Create custom filters that can be used as a search parameter when listing
    Items.
servers: []
security:
  - basicAuth: []
paths:
  /v2/item-filters/{id}:
    get:
      summary: Retrieve an Item filter
      description: Retrieves an Item filter.
      parameters:
        - name: id
          in: path
          description: ID of the Item filter to be retrieved.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the item filter.
                    example: 087394d4-83b5-4722-8c5e-0235362c12f5
                  name:
                    type: string
                    description: The name of the item filter.
                    example: Key paystub fields supported
                  filters:
                    type: object
                    description: The filters applied to this item filter.
                    example:
                      status:
                        eq: healthy
                      field_coverage:
                        paystubs:
                          gross_pay:
                            supported:
                              eq: true
                          paystub_date:
                            supported:
                              eq: true
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````